local frame	= CreateFrame("Button", "Broker_FishingSkill")
local ldb_obj	= LibStub("LibDataBroker-1.1"):NewDataObject("Broker_FishingSkill", {
	icon	= "Interface\\Icons\\INV_Fishingpole_03.png",
	label	= "Broker FishingSkill"
})

local function GetFishingSkill()
	for skillIndex = 1, GetNumSkillLines() do
		skillName, _, _, skillRank, _, skillBonus, _, _, _, _, _, _, _ = GetSkillLineInfo(skillIndex)
		if skillName == "Fishing" then
			return skillRank, skillBonus
		end
	end
end

function set_ldb_obj_text()
	rank, bonus = GetFishingSkill()
	text = rank + bonus
	if bonus > 0 then
		text = "|cff00ff00" .. text .. "|r"
	end
	ldb_obj.text = text
end

frame:RegisterEvent"PLAYER_LOGIN"
frame:RegisterEvent"UNIT_INVENTORY_CHANGED"
frame:RegisterEvent"UNIT_AURA"

frame:SetScript("OnEvent", set_ldb_obj_text)